//[passport-contacts-core](../../../index.md)/[com.yandex.passport.contacts.core](../index.md)/[OAuthTokenProvider](index.md)

# OAuthTokenProvider

[passport-contacts-core]\
interface [OAuthTokenProvider](index.md)

Interface for host apps to provide account token.

## Properties

| Name | Summary |
|---|---|
| [oAuthToken](o-auth-token.md) | [passport-contacts-core]<br>abstract val [oAuthToken](o-auth-token.md): OAuthToken?<br>Returns OAuth token of the user's Yandex account. If the user is not logged in, returns null. |
